maven改变项目目录,maven的Dynamic Web Module 版本变成3.0

图片说明
-创建maven项目的时候,值显示一个目录,怎么变成3个子目录,
maven的Dynamic Web Module 从2.3调成 3.0图片说明

0

2个回答

第一个问题 Java Build Path Libraries Addlibrary添加自己的 jdk1.8进来,就会改变。
图片说明
第二问题 window-shoview首先打开Navigator,打开org.eclipse.wst.common.project.facet.core.xml,把 改成

0

installed facet="jst.web" version="2.5"/--------installed facet="jst.web" version="3.0"

0
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
新建maven项目后Dynamic Web Module 改为3.0的时候报错
问题如图显示: 解决办法: 1.修改 项目的.setting文件 1>:切换到navigator视图 2>;打开setting中的core.xml文件 ,把java改为1.7 , 把2.3改为3.3 2.修改pom文件 , 添加如下代码 test111 maven-compiler-plugin
在Eclipse中,如何把Maven项目中Dynamic Web Module 修改从2.3改为3.1操作步骤
刚刚新建的maven项目把Dynamic Web Module 从2.3转到3.1报错 如下图:   第一步:先找到配置maven的settings.xml文件(window=>Preferences) 打开setting.xml把下面这段配置添加到<profiles></profiles>中 <profile>     &...
使用maven创建项目后修改Dynamic Web Module为3.0报错解决方法
在有些时候创建完maven项目发现 Dynamic Web Module版本为2.x ,这时候想将版本改为3.0版本但碰到错误 在网上百度了一下,找到一篇博客按照博客步骤 修改了好几个文件(进入Navigator修改eclipse项目里的配置文件,还是没解决),只好找组里的大牛来帮帮忙,然后简单几下就解决了,个人觉得比其他的解决方法还要简单,所以发出来给大家。
eclipse生成的maven项目动态web module版本不能支持3.X的问题
  问题描述:    eclipse mars, Maven3.3.9,用向导生成的Maven web工程。在配置项目特性project facets时,dynamic web module选项(本质上就是当前eclipse能支持的javaEE版本或者servlet版本)始终只能支持2.3,手动改成3.0后就报错,不让保存。查看POM中的servlet配置,确实引用到了servlet3.0...
关于Maven项目Dynamic Web Module版本号不能修改的解决方法
作者:叁念 1.问题: 如图,有时候创建Maven项目时版本为3.0的web项目,想将其改为2.5会出现如下错误提示不能修改: 2.解决办法: 选择你的项目右键 —— Properties —— Project Facets —— 去掉Dynamic Web Module —— Apply 之后选择你要更改的版本号再打上勾 3.修改完毕...
maven项目中改Dynamic Web Module版本和jdk版本
默认的Dynamic Web Module为2.3,使用Tomcat 8,需要修改为3.1 修改方法: 1. maven工程所在目录下org.eclipse.wst.common.project.facet.core.xml 编辑内容,如下所示 改为 2.maven工程下的web.xml文件修改为 <web-a
正确新建maven Dynamic web 项目
转自:  http://blog.csdn.net/ahau10/article/details/51232406 下面给大家讲讲如何正确地新建maven工程,以及为什么不能转成Dynamic web module3.0。 假设大家对eclipse都比较熟悉了,话不多说,请看图: 过滤器里输入web。我们要新建一个web工程。
解决maven项目的Dynamic Web Module 版本问题
https://www.cnblogs.com/huangjinwen/p/6885783.html
eclipse创建maven项目,DynamicWebModule默认为2.3修改不了
如下图: 步骤: 1、修改项目的web.xml文件 修改前: <!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "http://java.sun.com/dtd/web-app_2_3.dtd" > Archetype Created Web Applicati
处理Dynamic Web Module 修改从2.5改为3.0问题
刚刚新建的maven项目把Dynamic Web Module 从2.5转到3.0报错如下图:第一步:先找到配置maven的settings.xml文件(window=&amp;gt;Preferences)打开setting.xml把下面这段配置添加到&amp;lt;profiles&amp;gt;&amp;lt;/profiles&amp;gt;中&amp;lt;profile&amp;gt;     &amp;lt;id&amp;gt;jdk-1.8&amp;lt;/i...
Maven构建web项目默认web module2.3需要转变成3.0注意点
1. 在构建完成maven的web项目后,需要在项目的根目录下 .setting目录下     “org.eclipse.jdt.core.prefs”    “org.eclipse.wst.common.project.facet.core”  这两个文件, 2.假设我想 把jdt 改成1.8级别的  web version 3.0  改成如下  然后 刷新项目即可    “org.e
eclipse如何修改现有工程的dynamic web module version(转)
  文章出自:http://blog.csdn.net/llhhyy1989/article/details/8841625。   截选精华如下: 找到工程中 .setting文件夹内的org.eclipse.wst.common.project.facet.core.xml文件,文件格式大致如下: &amp;lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&amp;gt...
MyEclipse创建Maven Web项目出错
问题一:Cannot install Dynamic Web Module 3.0 facet. 解决办法: 在web.xml中将web换成3.0版本。 问题二:Cannot upgrade/downgrade to Dynamic Web Module 3.1 facet. It is incompatibile with already installed
在eclipse中新建Dynamic web project时选择2.5和3.0的区别
1、Dynamic web project时选择2.5和3.0是指servlet的版本,是2.5的还是3.0的     servlet3.0以后支持异步   2、dynamic web module和对应的TOMCAT 版本      dynamic web module 2.4  对应Tomcat 5.5      dynamic web module 2.5  对应T
初学Maven常见错误及解决方法
Maven学习中常见问题及解决方法
Maven创建Web工程,把Maven项目变成Dynamic Web项目
[url]http://code.google.com/p/j2eewiki/wiki/MavenCreateWeb[/url] [size=large][b][color=red]这个方法用eclipse3.5似乎没有project facts选项,似乎不好用[/color][/b][/size] Updated May 23, 2011 by cm2...@gmail.com 创建Web...
[转发]在eclipse中新建Dynamic web project时选择2.5和3.0的区别
1、Dynamic web project时选择2.5和3.0是指servlet的版本,是2.5的还是3.0的     servlet3.0以后支持异步   2、dynamic web module和对应的TOMCAT 版本      dynamic web module 2.4  对应Tomcat 5.5      dynamic web module 2.5  对应T
【Maven】使用Maven搭建web3.0版本的web项目
转载自:不应有的淡定 对于没有代理服务器的同学,每次在eclipse中创建maven项目将会是一件无限麻烦的事情,可能需要等很久,但是任然不加载的问题,现在直接上图。 我们先来创建一个maven项目 点击next 自己搭建骨架 再点击Finish完成项目创建但是这里我们会看到项目报错,原因是没有WebContent和web.xml,接下来就解决这个问题,在项目上点击右键,Build P
Maven项目配置web3.0
代码: xml version="1.0" encoding="UTF-8"?> web-app  xmlns:xsi="http://www.w3.org/2001/XMLSchemainstance"  xmlns="http://java.sun.com/xml/ns/javaee"  xsi:schemaLocation="http://java.sun.com/xml/ns
手把手教你创建maven的web3.0项目
首先,先创建一个普通的maven项目 一定要选择war包的格式 创建好之后会发现报错,没关系,然后打开 刚开始是选中的,取消掉,apply,然后再选中,会出现一个连接下方 如果web.xml是2.5的,换成3.0的的头文件就ok<?xml version="1.0" encoding="UTF-8"?> <web-app xmlns:xsi="http://www.w3.org/
eclipse创建maven web项目更改servlet版本小技巧
eclipse创建maven web项目更改jdk、servlet版本小技巧
新建maven项目 web-module版本改为3.0问题
使用sts工具,新建了一个maven项目。这里Dynamic web module配置成了3.0,因为自己的jdk 和tomcat版本较新,,但是项目的web.xml是2.3的。 所以有报错,无法转换为2.3版本,将xml改成3.0的即可 ,主要是头文件     如下为3.0的头部信息: &amp;lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&amp;gt; &amp;lt...
maven项目转成web项目没有生成WebContent目录
把Dynamic web module 去掉勾选,然后ok,再点开项目的properties,再选中Dynamic web module就出来了
创建Maven Project webapp时出现的问题
1.新建maven项目【Maven Project】2.解决上面的报错网上找了很多资料,发现有一种方法可以创建成功3.但是又出现新的错误:org.eclipse.wst.common.project.facet.core.facetedprojectFrameworkexception:failed while installing dynamic web module 3.04.不过解决创建不了...
Eclipse 创建Maven 项目更改web版本
创建的maven项目,Jre默认版本是1.5 web版本是2.5的。很是烦恼。在网上找了很多帖子外加实验测试,终于找到了小技巧,特意来记录下过程!!!1. 先把项目的web.xml文件删除,(如果发现没有此文件,就在项目上右击——Java EE Tools——Generate Deployment Descriptor Stub即可。)2. 项目右击properties--&amp;gt;project ...
关于Dynamic Web Model 无法从2.3修改为3.0
打开window----show view----navigator 这个视图 注意到jst.web version这个标签 把后面的值改成3.0 然后保存一下 这个时候你再去项目属性里面的facets去看 他已经老实地改过来了...
Eclipse创建maven-webapp项目问题汇总及解决方法
Maven webapp =>问题症状:Description Resource Path Location Type JavaServer Faces 2.2 can not be installed : One or more constraints have not been satisfied. ejos line 1 Maven Java EE C
maven项目下没有webContext目录怎么办
当你新建一个maven项目后需要发布到tomcat服务器中,但是项目没有webContext目录时,需要利用eclipse自带工具生成该目录,步骤如下: 右键项目-》properties-》project facets 勾选dynamic web module 再点击 apply ok,不生效时先去掉这个选项点击确定后再勾上。
在eclipse上创建maven项目web 3.0版本
首先,先创建一个普通的maven项目   一定要选择war包的格式  创建好之后会发现报错,没关系,然后打开  刚开始是选中的,取消掉,apply,然后再选中,会出现一个连接下方  如果web.xml是2.5的,换成3.0的的头文件就ok (原文博客https://blog.csdn.net/lzh657083979/article/details/78149588) &amp;lt;?xm...
使用Maven搭建web3.0,jdk是1.8的项目(手把手详细解说)
使用eclipse搭建maven项目,默认为web2.3,这里详述下搭建过程中的问题,防止以后再次踩坑。。。1:首先我们需要新建maven项目2:创建完成后,需按照下图手动创建几个文件夹Maven规定必须添加以下Source Folder:src/main/resourcessrc/main/javasrc/test/resourcessrc/test/java3:修改默认jre为1.84:根据需...
手动修改Dynamic Web Module版本号
一、修改工程属性: 右键eclipse的工程,选择属性,再选择Project Facets里面中选择Dynamic Web Module ,将3.0修改为2.5,可能会提示如下信息: Cannot change version of project facet Dynamic Web Module to 2.5 这样表示修改不了,然后采用第二种方法。 二、修改配置文件: 找到
在eclipse中使用maven创建web3.0工程
在eclipse中使用maven创建web3.0项目的时候会出现很多问题,在这里稍作总结下创建步骤: 1.首先新建一个maven项目: 2.选择next 3.选择maven-archetype-webapp选项,新建一个web项目,Next 4.输入Group Id 和Artifact Id,Finish。这时新建的maven项目会报错,而且是web2.3的. 5.修改版
IDEA更改Maven项目的webapp的版本号
使用Maven新建的web项目后默认的web.xml为2.3的,以前每次都是从其他文件中拷贝过来的2.5或者3.1的进行替换,怎样指定默认创建web项目的版本? 1.使用IDEA的Help文档具体的过程如下图所示:通过帮助文档中的信息,我们只需要在Web Facet Page中设置即可 2.设置webapp版本使用IDEA默认生成的如下图所示: web.xml中的版本为2.3,不是我们常用的2.5
dynamic web module和对应的TOMCAT支持的版本
dynamic web module 2.4 对应于Tomcat 5.5 dynamic web module 2.5  对应于Tomcat 6.0 dynamic web module 3.0 对应于Tomcat 7.0 如果不支持,有可能会报错: Tomcat version 5.5 only supports J2EE 1.2, 1.3, 1.4 Web modulesTomca...
Eclipse建立webapp3.0以上的Maven项目
建立项目使用Eclipse建一个File –> New –> OtherNext ,Next,选择maven-archetype-webapp输入坐标信息,Finish稍等片刻,我们的webapp骨架就构建好了。项目依赖与设置新建的项目会报错,不过无关紧要,主要是我们的项目没有运行环境,导致jsp无法编译,错误具体原因The superclass "javax.servlet.http.HttpSe
如何把maven项目转换成web项目
新接手的一个项目,是maven项目,却不是web项目,无法部署到tomcat上,在Jetty服务器上启动,平时运行倒也没啥问题,但是有时候升级改造的时候,与生产环境用tomcat启动不一样,这样就容易出一些问题,就上网搜索如何把maven项目转变成web项目,转变方案很多,试了很多,项目在改造完之后总会报错,总是一些细小的操作失误导致的,总的来说,是别人的改造方案,个人感觉有问题,在这里我分享下我
maven创建web项目后,更新项目后,jre变成1.5。
http://blog.csdn.net/ashes18/article/details/70488617
Maven(四) maven web 版本修改
我们用Eclipse创建Maven结构的web项目的时候选择了Artifact Id为maven-artchetype-webapp,由于这个catalog比较老,用的servlet还是2.3的,而一般现在至少都是2.5,在Project Facets里面修改Dynamic web module为2.5的时候就会出现Cannot change version of project facet Dy
maven项目update project时候还原jdk版本
最近换了JDK1.8,发现maven项目update project时候老是还原项目设置,最直接的就是JDK被从1.8还原到了1.7,即使在项目中设置也不行,经查找原因是maven的settings.xml设置了JDK版本 解决方法: 第一:可以将maven的settings.xml中的JDK版本修改成1.8 第二: 可以修改项目的pom.xml,直接指定JDK版本,添加&amp;lt;plu...
eclipse 将导入的maven项目变成web项目
导入的maven项目,如果想使用tomcat启动的话就需要转成web项目才能启动   1、工程右键属性 2、选择 project factets 3、选择右侧的 Dynamic Web Module ,并选择版本,一般tomcat版本高的话就选择3.0 4、选择后下方会出现 future configuration available... 5、点击  future configu...
文章热词 机器学习教程 Objective-C培训 交互设计视频教程 颜色模型 设计制作学习
相关热词 mysql关联查询两次本表 native底部 react extjs glyph 图标 web目录机构 web教程项目